GDB (xrefs)

Macros | Typedefs
/tmp/gdb-8.1/gdb/gdb_wchar.h File Reference
`#include <iconv.h>`
`#include <wchar.h>`
`#include <wctype.h>`

Go to the source code of this file.

## Macros
#define | PHONY_ICONV
#define | gdb_wcslen strlen
#define | gdb_iswprint isprint
#define | gdb_iswdigit isdigit
#define | gdb_btowc /* empty */
#define | gdb_WEOF EOF
#define | LCST(X) X
#define | INTERMEDIATE_ENCODING "wchar_t"

## Typedefs
typedef char | gdb_wchar_t
typedef int | gdb_wint_t

## Macro Definition Documentation

## ◆ gdb_btowc

#define gdb_btowc /* empty */

Definition at line 107 of file gdb_wchar.h.

Referenced by append_string_as_wide(), print_converted_chars_to_obstack(), and print_wchar().

## ◆ gdb_iswdigit

#define gdb_iswdigit isdigit

Definition at line 106 of file gdb_wchar.h.

Referenced by print_wchar().

## ◆ gdb_iswprint

#define gdb_iswprint isprint

Definition at line 105 of file gdb_wchar.h.

Referenced by wchar_printable().

## ◆ gdb_wcslen

#define gdb_wcslen strlen

Definition at line 104 of file gdb_wchar.h.

## ◆ gdb_WEOF

#define gdb_WEOF EOF

Definition at line 108 of file gdb_wchar.h.

Referenced by generic_emit_char(), and print_converted_chars_to_obstack().

## ◆ INTERMEDIATE_ENCODING

#define INTERMEDIATE_ENCODING "wchar_t"

Definition at line 117 of file gdb_wchar.h.

Referenced by generic_emit_char(), generic_printstr(), and wchar_iterator::wchar_iterator().

## ◆ LCST

#define LCST | ( |  | X | ) | X

Definition at line 110 of file gdb_wchar.h.

Referenced by generic_printstr(), print_converted_chars_to_obstack(), print_wchar(), and wchar_printable().

## ◆ PHONY_ICONV

#define PHONY_ICONV

Definition at line 49 of file gdb_wchar.h.

## Typedef Documentation

## ◆ gdb_wchar_t

typedef char gdb_wchar_t

Definition at line 101 of file gdb_wchar.h.

## ◆ gdb_wint_t

typedef int gdb_wint_t

Definition at line 102 of file gdb_wchar.h.